.\"	$NetBSD: mfp.4,v 1.8 2001/10/21 09:42:41 wiz Exp $
.\"
.\" Copyright (c) 1998 MINOURA Makoto
.\" Copyright (c) 1998 NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"    This product includes software developed by Minoura Makoto.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd March 17, 1999
.Dt MFP 4 x68k
.Os
.Sh NAME
.Nm mfp
.Nd X68K Multi-function Peripherals
.Sh SYNOPSIS
.Cd mfp0 at intio0 addr 0xe88000 size 0x2000 intr 64
.Sh DESCRIPTION
.Nm
drives Motorola MC68901 MFP (Multi-function Peripheral).
.Nm
driver is always required to run the
.Nx Ns /x68k
kernel, because it is connected to important devices such as
the display controller, and provides fundamental functions
like the system clock tick and interrupt controller.
Since
.Nm
provides many functions, most of the jobs as a
device driver is done by its child drivers such as
.Xr kbd 4
and
.Xr clock 4 .
.Nm
driver itself only provides the common way to access its
registers and a few utility functions for other non-child drivers.
.Sh SEE ALSO
.Xr clock 4 ,
.Xr intro 4 ,
.Xr kbd 4
.Sh BUGS
Machine-dependent part and machine-independent part should be split.
